activities
Create a company activity
POST
/
api
/
company
/
activities
Create a company activity
curl --request POST \
--url https://api.fluid.app/api/company/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activity": {
"title": "<string>",
"description": "<string>",
"affiliate": {
"id": "<string>",
"external_id": "<string>",
"username": "<string>",
"email": "<string>",
"legacy_number": "<string>"
}
}
}
'import requests
url = "https://api.fluid.app/api/company/activities"
payload = { "activity": {
"title": "<string>",
"description": "<string>",
"affiliate": {
"id": "<string>",
"external_id": "<string>",
"username": "<string>",
"email": "<string>",
"legacy_number": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activity: {
title: '<string>',
description: '<string>',
affiliate: {
id: '<string>',
external_id: '<string>',
username: '<string>',
email: '<string>',
legacy_number: '<string>'
}
}
})
};
fetch('https://api.fluid.app/api/company/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Created
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Create a company activity
